- hosts: all
  become: true
  gather_facts: false
   # Ansible requires python2, which is not installed by default on Ubuntu Xenial
  pre_tasks:
    - raw: sudo apt-get -y install python-simplejson
    # action: setup will gather facts after python2 has been installed
    - action: setup

- hosts: jenkins
  vars:
   - jenkins_http_port: 8080
   - jenkins_url_prefix: '/'
   - jenkins_jobs: ['deploy', 'Test-Job']
#  tasks:
#   - copy: src='files/user.xml' dest=/tmp/user.xml


#   - shell: cat /tmp/user.xml | java -jar /opt/jenkins-cli.jar -s http://localhost:8080/  create-credentials-by-xml system::system::jenkins "(global)" --username admin --password  admin 
#   - name: create job.xml file
#     copy: src='files/job.xml' dest=/tmp/job.xml
   
#   - name: create jenkins job
#     shell: cat /tmp/job.xml | java -jar /opt/jenkins-cli.jar -s http://localhost:8080/  Ceate-credentials-by-xml system::system::jenkins "(global)" --username admin --password  admin 
  tasks:
    - name: Create user credentials
      shell: "cat /tmp/user.xml | java -jar /opt/jenkins-cli.jar -s http://localhost:8080/  create-credentials-by-xml system::system::jenkins \"(global)\" --username admin --password  admin"
    #  ignore_errors: yes
#    - debug: var=groups['cluster']
#  roles:
#
#   - ansible-java
#   - ansible-role-jenkins

- hosts: dev
  vars:
    - django_appname: 'sample'
  roles:
   - ansible-role-nodejs
   - ansible-role-deploy
   - ansible-role-nginx
  tags:
   - nodejs
